[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# DatabaseErrorFmt

Raise an EDatabaseError exception with a formatted message

## Declaration

Source position: line 0

`procedure DatabaseErrorFmt(`
`const Fmt: string;`
`Args: array of Const`
`); overload; procedure DatabaseErrorFmt(`
`const Fmt: string;`
`Args: array of Const;`
`Comp: TComponent`
`); overload;`

## Arguments

`Fmt` |  | Formatting string
`Args` |  | Formatting arguments

## Arguments

`Fmt` |  | Formatting string
`Args` |  | Formatting arguments
`Comp` |  | Prepend the name of this Component to the message

## Description

DatabaseErrorFmt raises an EDatabaseError exception, passing it a message made by calling #rtl.sysutils.format with the fmt and Args arguments. If Comp is specified, the name of the component is prepended to the message.

## See also

DatabaseError |  | Raise an EDatabaseError exception.
EDatabaseError |  | Base class for all database-related errors

Documentation generated on: Feb 26 2014